%define oname   hashery

Name:       ruby-%{oname}
Version:    2.0.1
Release:    %mkrel 3
Summary:    Facets-bread collection of Hash-like classes
Group:      Development/Ruby
License:    BSD
URL:        http://rubyworks.github.com/hashery
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The Hashery is a tight collection of Hash-like classes. Included among
its many offerings are the auto-sorting Dictionary class, the efficient
LRUHash, the flexible OpenHash and the convenient KeyHash. Nearly every
class is a subclass of the CRUDHash which defines a CRUD model on top
of Ruby''s standard Hash making it a snap to subclass and augment to
fit any specific use case.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/DEMO.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/HISTORY.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/NOTICE.txt


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.0.1-3.mga3
+ Revision: 396021
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 380969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 313762
- imported package ruby-hashery

